/////////////////////////////////////////////////////////////////////////////
// Name:        TitlePropDlg.h
// Purpose:     DVD title properties dialog
// Author:      Alex Thuering
// Created:     31.01.2004
// RCS-ID:      $Id: TitlePropDlg.h,v 1.3 2004/08/01 21:43:28 ntalex Exp $
// Copyright:   (c) Alex Thuering
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////
 
#ifndef TITLE_PROP_DLG_H
#define TITLE_PROP_DLG_H

#include <wx/wx.h>
#include <wxVillaLib/PropDlg.h>
#include "DVD.h"

class TitlePropDlg: public PropDlg
{
  public:
    TitlePropDlg(wxWindow *parent, DVD* dvd, Pgc* pgc, Vob* vob);
	virtual ~TitlePropDlg() {}

  protected:
	DVD* m_dvd;
    Pgc* m_pgc;
	Vob* m_vob;
	void CreatePropPanel(wxSizer* sizer);
	bool SetValues();
};

#endif // TITLE_PROP_DLG_H
