/////////////////////////////////////////////////////////////////////////////
// Name:        MenuPropDlg.h
// Purpose:     DVD menu properties dialog
// Author:      Alex Thuering
// Created:     25.04.2004
// RCS-ID:      $Id: MenuPropDlg.h,v 1.1 2004/04/25 17:12:34 ntalex Exp $
// Copyright:   (c) Alex Thuering
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////
 
#ifndef MENU_PROP_DLG_H
#define MENU_PROP_DLG_H

#include <wx/wx.h>
#include <wxVillaLib/PropDlg.h>
#include "Menu.h"

class MenuPropDlg: public PropDlg
{
  public:
    MenuPropDlg(wxWindow *parent, Menu* object);
	virtual ~MenuPropDlg() {}

  protected:
    Menu* m_object;
	void CreatePropPanel(wxSizer* sizer);
	bool SetValues();
};

#endif // MENU_PROP_DLG_H
