/////////////////////////////////////////////////////////////////////////////
// Name:        TextPropDlg.h
// Purpose:     DVD menu text properties dialog
// Author:      Alex Thuering
// Created:     6.01.2004
// RCS-ID:      $Id: TextPropDlg.h,v 1.2 2004/03/01 18:45:31 ntalex Exp $
// Copyright:   (c) Alex Thuering
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////
 
#ifndef TEXT_PROP_DLG_H
#define TEXT_PROP_DLG_H

#include <wx/wx.h>
#include <wxVillaLib/PropDlg.h>
#include "Menu.h"

class TextPropDlg: public PropDlg
{
  public:
    TextPropDlg(wxWindow *parent, MenuText* object);
	virtual ~TextPropDlg() {}

  protected:
    MenuText* m_object;
	void CreatePropPanel(wxSizer* sizer);
	bool SetValues();
};

#endif // TEXT_PROP_DLG_H
